Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.meta
Class LifecycleMetaData

    java.lang.Object
      org.apache.openjpa.meta.LifecycleMetaData

All Implemented Interfaces:
  Serializable

    public class LifecycleMetaData

extends Object
implements Serializable

Information about lifecycle events for a managed type.

Author:
  Steve Kim, Abe White
See Also:
  Serialized Form

Field Summary
`static int` | `IGNORE_HIGH`
`static int` | `IGNORE_LOW`
`static int` | `IGNORE_NONE`

Constructor Summary
`LifecycleMetaData(ClassMetaData meta)` Construct with owning metadata.

Method Summary
`LifecycleCallbacks[]` | `getCallbacks(int eventType)` Return all callbacks for the given event type, including superclass callbacks if appropriate.
`LifecycleCallbacks[]` | `getDeclaredCallbacks(int eventType)` Return the declared callbacks for the given event type.
`int` | `getIgnoreSuperclassCallbacks()` Whether to exclude superclass callbacks from events.
`boolean` | `getIgnoreSystemListeners()` Whether to exclude system listeners from events.
`LifecycleCallbacks[]` | `getNonPCSuperclassCallbacks(int eventType)` Return the callbacks for the non-PC superclass.
`boolean` | `is_activated()` Whether the LifeCycleMetaData has had any callbacks or listeners registered.
`(package private) void` | `resolve()` Resolve all callbacks.
`void` | `setDeclaredCallbacks(int eventType, LifecycleCallbacks[] callbacks, int highPriority)` Set the callbacks for the given event type.
`void` | `setIgnoreSuperclassCallbacks(int ignore)` Whether to exclude superclass callbacks from events.
`void` | `setIgnoreSystemListeners(boolean ignore)` Whether to exclude system listeners from events.
`void` | `setNonPCSuperclassCallbacks(int eventType, LifecycleCallbacks[] callbacks, int highPriority)` Set the callbacks for the given event type for non-persistent superclass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_NONE

    public static final int IGNORE_NONE

See Also:
  Constant Field Values

### IGNORE_HIGH

    public static final int IGNORE_HIGH

See Also:
  Constant Field Values

### IGNORE_LOW

    public static final int IGNORE_LOW

See Also:
  Constant Field Values

Constructor Detail

### LifecycleMetaData

    LifecycleMetaData(ClassMetaData meta)

  Construct with owning metadata.

Method Detail

### is_activated

    public boolean is_activated()

  Whether the LifeCycleMetaData has had any callbacks or listeners registered. Used for a quick test to determine whether to attempt to fire any events.

  Returns:
    boolean

### getIgnoreSystemListeners

    public boolean getIgnoreSystemListeners()

  Whether to exclude system listeners from events.

### setIgnoreSystemListeners

    public void setIgnoreSystemListeners(boolean ignore)

  Whether to exclude system listeners from events.

### getIgnoreSuperclassCallbacks

    public int getIgnoreSuperclassCallbacks()

  Whether to exclude superclass callbacks from events.

### setIgnoreSuperclassCallbacks

    public void setIgnoreSuperclassCallbacks(int ignore)

  Whether to exclude superclass callbacks from events.

### getDeclaredCallbacks

    public LifecycleCallbacks[] getDeclaredCallbacks(int eventType)

  Return the declared callbacks for the given event type.

### getCallbacks

    public LifecycleCallbacks[] getCallbacks(int eventType)

  Return all callbacks for the given event type, including superclass callbacks if appropriate.

### setDeclaredCallbacks

    public void setDeclaredCallbacks(int eventType,
                                     LifecycleCallbacks[] callbacks,
                                     int highPriority)

  Set the callbacks for the given event type.

  Parameters:
    `highPriority` - the first N given callbacks are high priority; high priority callbacks will be returned before non-high-priority superclass callbacks

### getNonPCSuperclassCallbacks

    public LifecycleCallbacks[] getNonPCSuperclassCallbacks(int eventType)

  Return the callbacks for the non-PC superclass.

### setNonPCSuperclassCallbacks

    public void setNonPCSuperclassCallbacks(int eventType,
                                            LifecycleCallbacks[] callbacks,
                                            int highPriority)

  Set the callbacks for the given event type for non-persistent superclass. Note these callbacks will only be used where the non-persistent superclass is the direct ancestor of the described class.

  Parameters:
    `highPriority` - the first N given callbacks are high priority; high priority callbacks will be returned before non-high-priority superclass callbacks

### resolve

    void resolve()

  Resolve all callbacks.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.